<?php

define('DEBUG', false);
define('ENV', ENV_FORMAL);

$GLOBALS['walletName'] = 'eosget';
$GLOBALS['URL_DICE'] = 'https://dice.eosget.io/';
$GLOBALS['URL_BOX'] = 'https://box.eosget.io/';
$GLOBALS['FIRE_BASE_PRI_KEY'] = 'X_hdaICpObuXWiqBRIOjc2f1KWjxlJEKg6bQY5sMTkc';

//$ip = __getInternalIp();
$path = '/data/webapps/dice_conf';
$GLOBALS['walletPwd'] = trim(file_get_contents("{$path}/wallet_pwd.txt"));
//$GLOBALS['eosgetadminPwd'] = trim(file_get_contents("{$path}/eosgetadmin_pwd.txt"));

$GLOBALS['verifyPath'] = '/data/webapps/ws-dice.eosget.io/verify.js';
$GLOBALS['publicKeyAdmin'] = 'EOS7T2QLXGNnpkSdqAWNivGgXkjWjjGSvAoAvgQShhwpTa7dUvWfJ';

//$GLOBALS['eosUrl'] = 'https://nodes.get-scatter.com/';
//https://api.eosn.io:443
$GLOBALS['eosProtocol'] = 'https';
$GLOBALS['eosHost'] = 'proxy.eosnode.tools';
//$GLOBALS['eosHost'] = 'nodes.get-scatter.com';
$GLOBALS['eosPort'] = 443;

if ($GLOBALS['eosProtocol'] == 'https' && $GLOBALS['eosPort'] == 443) {
    $GLOBALS['eosUrl'] = "{$GLOBALS['eosProtocol']}://{$GLOBALS['eosHost']}/";
} else {
    $GLOBALS['eosUrl'] = "{$GLOBALS['eosProtocol']}://{$GLOBALS['eosHost']}:{$GLOBALS['eosPort']}/";
}

define('CALL_LOG_REDIS', 'logstash_aws');
define("CALL_LOG_KEY", "logstash:redis");
//define("URL_CDN", "//w5.dwstatic.com/cdn/{$_SERVER['HTTP_HOST']}/");
define("URL_CDN", '/');

//webpush
define('MESSAGING_PRIVATE_KEY', 'VaWG-r7hYLlWApB3vwGj0Pp4KhzVx5NibCVWSiOjm8A');
define('MESSAGING_PUBLIC_KEY', 'BNan2ZkZRV6skCmS9rAJx5jb0eZgjo1-hmil3ZkhJs20yDOpBpEFaV9p1mag6KfBItZdzCT9-8pt15GSIIGV5DE');

define('URL_SICBO', 'https://dice.eosget.io/');
define('URL_MEECHAT', 'https://mee.chat/');
define('MEE_APP_ID', 'XJQ2Qc24bMJnAZWg9p43JUsH');
define('MEE_APP_SECRET', 'uQhF3M8t3MkNKG2g');
//end of script

